package com.younki.maidmatching.services.HTTP;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class ApplicantWPResponse {
    @SerializedName("error")
    private boolean error;
    @SerializedName("message")
    private String message;
    @SerializedName("data")
    private List<Data> data;

    public boolean isError() {
        return error;
    }

    public void setError(boolean error) {
        this.error = error;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<Data> getData() {
        return data;
    }

    public void setData(List<Data> data) {
        this.data = data;
    }

    public static class Data {
        private Applicant applicant;
        private Double score;

        public Applicant getApplicant() {
            return applicant;
        }

        public void setApplicant(Applicant applicant) {
            this.applicant = applicant;
        }

        public Double getScore() {
            return score;
        }

        public void setScore(Double score) {
            this.score = score;
        }

        public static class Applicant {
            private int id;
            private int job_id;
            private int user_id;
            private Integer recruit_id;
            private String name;
            private String job_name;
            private String param_age;
            private String param_salary;
            private String param_skill;
            private String param_distance;

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public int getUser_id() {
                return user_id;
            }

            public void setUser_id(int user_id) {
                this.user_id = user_id;
            }

            public int getJob_id() {
                return job_id;
            }

            public void setJob_id(int job_id) {
                this.job_id = job_id;
            }

            public Integer getRecruit_id() {
                return recruit_id;
            }

            public void setRecruit_id(int recruit_id) {
                this.recruit_id = recruit_id;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getJob_name() {
                return job_name;
            }

            public void setJob_name(String job_name) {
                this.job_name = job_name;
            }

            public String getParam_age() {
                return param_age;
            }

            public void setParam_age(String param_age) {
                this.param_age = param_age;
            }

            public String getParam_salary() {
                return param_salary;
            }

            public void setParam_salary(String param_salary) {
                this.param_salary = param_salary;
            }

            public String getParam_skill() {
                return param_skill;
            }

            public void setParam_skill(String param_skill) {
                this.param_skill = param_skill;
            }

            public String getParam_distance() {
                return param_distance;
            }

            public void setParam_distance(String param_distance) {
                this.param_distance = param_distance;
            }
        }
    }
}
